ghc-7.0.3: The GHC API

DriverPhases

# Documentation

data HscSource Source

Constructors

HsSrcFile |
HsBootFile |
ExtCoreFile |

Instances

Eq HscSource |
Ord HscSource |
Show HscSource |

isHsBoot :: HscSource -> Bool Source

hscSourceString :: HscSource -> String Source

data Phase Source

Constructors

Unlit HscSource |
Cpp HscSource |
HsPp HscSource |
Hsc HscSource |
Ccpp |
Cc |
HCc |
Mangle |
SplitMangle |
SplitAs |
As |
LlvmOpt |
LlvmLlc |
LlvmMangle |
CmmCpp |
Cmm |
StopLn |

Instances

Eq Phase |
Show Phase |
Outputable Phase |

happensBefore :: Phase -> Phase -> Bool Source

eqPhase :: Phase -> Phase -> Bool Source

anyHsc :: Phase Source

isStopLn :: Phase -> Bool Source

startPhase :: String -> Phase Source

phaseInputExt :: Phase -> String Source

isHaskellishSuffix :: String -> Bool Source

isHaskellSrcSuffix :: String -> Bool Source

isObjectSuffix :: String -> Bool Source

isCishSuffix :: String -> Bool Source

isExtCoreSuffix :: String -> Bool Source

isDynLibSuffix :: String -> Bool Source

isHaskellUserSrcSuffix :: String -> Bool Source

isSourceSuffix :: String -> Bool Source

isHaskellishFilename :: FilePath -> Bool Source

isHaskellSrcFilename :: FilePath -> Bool Source

isObjectFilename :: FilePath -> Bool Source

isCishFilename :: FilePath -> Bool Source

isExtCoreFilename :: FilePath -> Bool Source

isDynLibFilename :: FilePath -> Bool Source

isHaskellUserSrcFilename :: FilePath -> Bool Source

isSourceFilename :: FilePath -> Bool Source